=head1 NAME

fstrace_setlog - Sets the size of a trace log

=head1 SYNOPSIS

=for html
<div class="synopsis">

B<fstrace setlog> S<<< [B<-log> <I<log name>>+] >>>
    S<<< B<-buffersize> <I<1-kilobyte units>> >>> [B<-help>]

B<fstrace setl> S<<< [B<-l> <I<log name>>+] >>>
    S<<< B<-b> <I<1-kilobyte units>> >>> [B<-h>]

=for html
</div>

=head1 DESCRIPTION

The B<fstrace setlog> command defines the number of kilobytes of kernel
memory allocated for the C<cmfx> trace log. If kernel memory is currently
allocated, the command clears the current log and creates a new log buffer
of the specified size.

To display the current defined size of the log buffer, issue the B<fstrace
lslog> command with the B<-long> argument. To control whether the
indicated amount of space is actually allocated, use the B<fstrace setset>
command to set the status of the C<cm> event set; to display the event
set's status, use the B<fstrace lsset> command.

=head1 OPTIONS

=over 4

=item B<-log> <I<log name>>+

Names trace log for which to set the size. The only acceptable
value is C<cmfx>, which is also the default if this argument is
omitted.

=item B<-buffersize> <I<1-kilobyte units>>

Specifies the number of 1-kilobyte blocks of kernel memory to allocate for
the trace log.

=item B<-help>

Prints the online help for this command. All other valid options are
ignored.

=back

=head1 EXAMPLES

The following command allocated 80 KB of kernel memory for the C<cmfx>
trace log:

   # fstrace setlog -log cmfx -buffersize 80

=head1 PRIVILEGE REQUIRED

The issuer must be logged in as the local superuser C<root>.

=head1 SEE ALSO

L<fstrace(8)>,
L<fstrace_lslog(8)>,
L<fstrace_lsset(8)>,
L<fstrace_setset(8)>

=head1 COPYRIGHT

IBM Corporation 2000. <http://www.ibm.com/> All Rights Reserved.

This documentation is covered by the IBM Public License Version 1.0.  It was
converted from HTML to POD by software written by Chas Williams and Russ
Allbery, based on work by Alf Wachsmann and Elizabeth Cassell.
